import java.sql.SQLException;
import java.util.Calendar;
import java.util.GregorianCalendar;

/**
 * @Author: Diana Mei Leng Wong Michiko Chand Nazih Ajami
 * @Date: November 15, 2006
 * 
 * Description:
 * 
 */

public class Vote {

	Calendar cal = new GregorianCalendar();

	int year = cal.get(Calendar.YEAR);

	int month = cal.get(Calendar.MONTH) + 1;

	int day = cal.get(Calendar.DAY_OF_MONTH);


	public Vote(int awardID, int groupID, int nominatedEmpID,
			int votedByEmpID) throws SQLException {
		String sqlInsert;
		String cqlSelect;
		
		String date = (String) ("" + month + "/" + day + "/" + year);
		String awardDate = Award.getNextAwardDate(awardID, groupID);
		ConnectToDB.createConnection();

		sqlInsert = "INSERT INTO [Vote](nominatedEmpID, awardID, groupID, awardDate, votedByEmpID, voteDate)"
				+ " SELECT "
				+ nominatedEmpID
				+ " AS nominatedEmpID, "
				+ awardID
				+ " AS awardID, "
				+ groupID
				+ " AS groupID, '"
				+ awardDate
				+ "' AS awardDate, "
				+ votedByEmpID
				+ " AS votedByEmpID, '"
				+ date + "' AS voteDate";


		System.out.println(sqlInsert);
		ConnectToDB.setQuery(sqlInsert);

		cqlSelect = "SELECT * FROM Vote";
		ConnectToDB.runQuery(cqlSelect);
	}

	public Vote(String awardName, String groupName, String nominatedEmpName,
			String votedByEmpName) throws SQLException {

		int groupID, nominatedEmpID, votedByEmpID, awardID;
		
		groupID = Group.getGroupID(groupName);

		nominatedEmpID = Employee.getEmpID(nominatedEmpName);

		awardID = Award.getAwardID(awardName);

		votedByEmpID = Employee.getEmpID(votedByEmpName);

		new Vote(awardID, groupID, nominatedEmpID, votedByEmpID);

	}

	public Vote(String awardName, int groupID, int nominatedEmpID,
			int votedByEmpID) throws SQLException {

		int awardID = Award.getAwardID(awardName);

		new Vote(awardID, groupID, nominatedEmpID, votedByEmpID);

	}

	// ---testing
	public static void main(String[] args) throws SQLException {

		new Vote("Seven Attributes - Sense of Urgency",
				"Commercial Markets Group", "Allen, Cleet",
				"Ajami, Nazih (Nino)");

	}
}
